| FlatBuffers An open source project by FPL.

- Programmer's Guide
- Platform / Language / Feature support
- Benchmarks
- FlatBuffers white paper
- FlatBuffers internals
- Grammar of the schema language
- API Reference
- Contributing

Variables
flatbuffers.js File Reference

## Variables
flatbuffers Builder prototype | addFloat32
| Add a `float32` to the buffer, properly aligned, and grows the buffer (if necessary). More...
flatbuffers Builder prototype | addFloat64
| Add a `float64` to the buffer, properly aligned, and grows the buffer (if necessary). More...
flatbuffers Builder prototype | addInt16
| Add an `int16` to the buffer, properly aligned, and grows the buffer (if necessary). More...
flatbuffers Builder prototype | addInt32
| Add an `int32` to the buffer, properly aligned, and grows the buffer (if necessary). More...
flatbuffers Builder prototype | addInt64
| Add an `int64` to the buffer, properly aligned, and grows the buffer (if necessary). More...
flatbuffers Builder prototype | addInt8
| Add an `int8` to the buffer, properly aligned, and grows the buffer (if necessary). More...
flatbuffers Builder prototype | addOffset
| Adds on offset, relative to where it will be written. More...
flatbuffers Builder prototype | asUint8Array
| Get the bytes representing the FlatBuffer. More...
flatbuffers | Builder
| Create a FlatBufferBuilder. More...
flatbuffers Builder prototype | createLong
| A helper function to avoid generated code depending on this file directly. More...
flatbuffers Builder prototype | createString
| Encode the string `s` in the buffer using UTF-8. More...
flatbuffers Builder prototype | dataBuffer
| Get the ByteBuffer representing the FlatBuffer. More...
flatbuffers Builder prototype | finish
| Finalize a buffer, poiting to the given `root_table`. More...
flatbuffers Builder prototype | forceDefaults
| In order to save space, fields that are set to their default value don't get serialized into the buffer. More...